PROJECT = template_slides
OPTIONS = --filter pandoc-citeproc --pdf-engine=lualatex --filter video.py
BEAMER_OPTIONS = $(OPTIONS) --highlight-style=tango
## Beamer options
# --highlight-style{=pygments, kate, monochrome, breezeDark, espresso, zenburn, haddock, tango}
REVEAL_OPTIONS = $(OPTIONS) -s -V revealjs-url=./reveal.js \
	-V theme=serif \
	-V transition=convex \
	-V width=1920 \
	-V height=1080 \
	-V autoPlayMedia=true \
	-V slideNumber=true
## Reaveal options
# revealjs-url=https://revealjs.com
# theme={beige, black, blood, league, moon, night, serif, simple, sky, solarized, white}
# transition={none, slide, concave, convex, cube, zoom}
# TODO: paralax background
# TODO: utf8 in latex, default font fallback <https://tex.stackexchange.com/questions/323575/how-can-i-specify-a-chain-of-fallback-fonts-in-xelatex> 
# TODO: affiliations
# TODO: logos
# TODO: citations api
# TODO: Fullscreen video
# TODO: pdfpc notes
# TODO: animation \only with pics, md ![]()? htlm? last pic wobble
# TODO: Changer les couleurs des bandeaux de metropolis


all: reveal pdf;

pdf:
	pandoc $(PROJECT).md -o $(PROJECT).pdf $(BEAMER_OPTIONS) -t beamer

notes:
	pandoc $(PROJECT).md -o $(PROJECT)_notes.pdf $(BEAMER_OPTIONS) -t beamer -V classoption=notes

notes-only:
	pandoc $(PROJECT).md -o $(PROJECT)_notes.pdf $(BEAMER_OPTIONS) -t beamer -V classoption=notes=only

reveal:
	pandoc $(PROJECT).md -o $(PROJECT).html $(REVEAL_OPTIONS) -t revealjs

auto:
	while true; do inotifywait -e modify $(PROJECT).md; make; done
